aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/python.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:52:08 -0600
committerWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:52:08 -0600
commit2c8204d6325a1a6607392d5905227b9043da17cc (patch)
tree5a2d9047d0a3fb5664c17284b92c6e572507d062 /chapter8/python.sh
parentf699702e72de8200632cfb95350ad51bb68c4b6f (diff)
Major updates.
Diffstat (limited to 'chapter8/python.sh')
-rw-r--r--chapter8/python.sh44
1 files changed, 22 insertions, 22 deletions
diff --git a/chapter8/python.sh b/chapter8/python.sh
index 04af366..230d4f6 100644
--- a/chapter8/python.sh
+++ b/chapter8/python.sh
@@ -1,22 +1,22 @@
-#!/bin/bash
-set -e
-
-sed 's|cpython/||' -i Include/cpython/pystate.h &&
-
-./configure --prefix=/usr \
- --enable-shared \
- --with-system-expat \
- --with-system-ffi \
- --with-ensurepip=yes &&
-
-make &&
-
-make -j1 install &&
-
-install -v -dm755 /usr/share/doc/python-"${VERSION}"/html &&
-
-tar --strip-components=1 \
- --no-same-owner \
- --no-same-permissions \
- -C /usr/share/doc/python-"${VERSION}"/html \
- -xvf ../python-"${VERSION}"-docs-html.tar.bz2
+#!/bin/bash
+set -e
+
+sed 's|cpython/||' -i Include/cpython/pystate.h &&
+
+./configure --prefix=/usr \
+ --enable-shared \
+ --with-system-expat \
+ --with-system-ffi \
+ --with-ensurepip=yes &&
+
+make &&
+
+make -j1 install &&
+
+install -v -dm755 /usr/share/doc/python-"${VERSION}"/html &&
+
+tar --strip-components=1 \
+ --no-same-owner \
+ --no-same-permissions \
+ -C /usr/share/doc/python-"${VERSION}"/html \
+ -xvf ../python-"${VERSION}"-docs-html.tar.bz2